pandoc-3.10: Conversion between markup formats

Copyright | Copyright (C) 2024 John MacFarlane
License | GNU GPL, version 2 or above
Maintainer | John MacFarlane <jgm@berkeley.edu>
Stability | alpha
Portability | portable
Safe Haskell | None
Language | Haskell2010

Text.Pandoc.Readers.AsciiDoc

Description

Reads and evaluates a AsciiDoc document as a Pandoc AST.

Synopsis

- readAsciiDoc :: (PandocMonad m, ToSources a) => ReaderOptions -> a -> m Pandoc

# Documentation

readAsciiDoc :: (PandocMonad m, ToSources a) => ReaderOptions -> a -> m Pandoc Source #

Read AsciiDoc from an input string and return a Pandoc document.